Get

  • GET
  • /user
  • /keys
  • /:key_id

Returns the public SSH key of the authorized user

Request

REQUIRED SCOPES
USER_KEY
URL PARAMETERS
key_idrequiredinteger
The ID of the SSH key

Example: 456

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the SSH key
titlestring
The title/name of the SSH key
contentstring
The SSH public key content

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/user/keys/:key_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/user/keys/456", "html_url": "https://app.buddy.works/ssh-keys/details/456", "id": 456, "title": "My Development Key", "content": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC7VLpP... user@example.com" }
STATUS
200 OK